## LassoSamlConditions

LassoSamlConditions — <saml:Conditions>

## Functions

LassoSamlConditions * | lasso_saml_conditions_new ()

## Types and Values

struct | LassoSamlConditions

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSamlConditions

## Description

Figure 31. Schema fragment for saml:Conditions

    <element name="Conditions" type="saml:ConditionsType"/>
    <complexType name="ConditionsType">
      <choice minOccurs="0" maxOccurs="unbounded">
        <element ref="saml:AudienceRestrictionCondition"/>
        <element ref="saml:Condition"/>
      </choice>
      <attribute name="NotBefore" type="dateTime" use="optional"/>
      <attribute name="NotOnOrAfter" type="dateTime" use="optional"/>
    </complexType>

## Functions

### lasso_saml_conditions_new ()

    LassoSamlConditions *
    lasso_saml_conditions_new (void);

Creates a new LassoSamlConditions object.

#### Returns

a newly created LassoSamlConditions object

## Types and Values

### struct LassoSamlConditions

    struct LassoSamlConditions {
    	/* <element ref="saml:Condition"/> */
    	GList *Condition; /* of LassoNode */
    	/* <element ref="saml:AudienceRestrictionCondition"/> */
    	GList *AudienceRestrictionCondition; /* of LassoSamlAudienceRestrictionCondition */
    	/* <attribute name="NotBefore" type="dateTime" use="optional"/> */
    	char *NotBefore;
    	/* <attribute name="NotOnOrAfter" type="dateTime" use="optional"/> */
    	char *NotOnOrAfter;
    };